PETSc version 3.15.5
Fix/Edit manual page

# KSPNormType

Norm that is passed in the Krylov convergence test routines.

### Synopsis

    typedef enum {KSP_NORM_DEFAULT = -1,KSP_NORM_NONE = 0,KSP_NORM_PRECONDITIONED = 1,KSP_NORM_UNPRECONDITIONED = 2,KSP_NORM_NATURAL = 3} KSPNormType;

Each solver only supports a subset of these and some may support different ones depending on left or right preconditioning, see KSPSetPCSide()

### Notes

this must match petsc/finclude/petscksp.h

### See Also

KSPSolve(), KSPGetConvergedReason(), KSPSetNormType(),
KSPSetConvergenceTest(), KSPSetPCSide()

### Level

advanced

### Location

src/ksp/ksp/guess/../../../../include/petscksp.h
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages